# Uses of Class
org.apache.lucene.codecs.PointsReader

Packages that use PointsReader
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of PointsReader in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return PointsReader
  Modifier and Type
  Method
  Description
  `abstract PointsReader`
  PointsFormat.`fieldsReader(SegmentReadState state)`
  Reads a segment.
  `PointsReader`
  PointsReader.`getMergeInstance()`
  Returns an instance optimized for merging.
  Methods in org.apache.lucene.codecs with parameters of type PointsReader
  Modifier and Type
  Method
  Description
  `abstract void`
  PointsWriter.`writeField(FieldInfo fieldInfo, PointsReader values)`
  Write all values contained in the provided reader

- ## Uses of PointsReader in org.apache.lucene.codecs.lucene90

  Subclasses of PointsReader in org.apache.lucene.codecs.lucene90
  Modifier and Type
  Class
  Description
  `class`
  `Lucene90PointsReader`
  Reads point values previously written with `Lucene90PointsWriter`
  Methods in org.apache.lucene.codecs.lucene90 that return PointsReader
  Modifier and Type
  Method
  Description
  `PointsReader`
  Lucene90PointsFormat.`fieldsReader(SegmentReadState state)`
  Methods in org.apache.lucene.codecs.lucene90 with parameters of type PointsReader
  Modifier and Type
  Method
  Description
  `void`
  Lucene90PointsWriter.`writeField(FieldInfo fieldInfo, PointsReader reader)`

- ## Uses of PointsReader in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as PointsReader
  Modifier and Type
  Field
  Description
  `final PointsReader[]`
  MergeState.`pointsReaders`
  Point readers to merge
  Methods in org.apache.lucene.index that return PointsReader
  Modifier and Type
  Method
  Description
  `abstract PointsReader`
  CodecReader.`getPointsReader()`
  Expert: retrieve underlying PointsReader
  `PointsReader`
  FilterCodecReader.`getPointsReader()`
  `PointsReader`
  SegmentReader.`getPointsReader()`
  `PointsReader`
  SortingCodecReader.`getPointsReader()`
  Constructors in org.apache.lucene.index with parameters of type PointsReader
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.